package com.ruoyi.logistics.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.logistics.mapper.BizMonthQrcodeRecordMapper;
import com.ruoyi.logistics.domain.BizMonthQrcodeRecord;
import com.ruoyi.logistics.service.IBizMonthQrcodeRecordService;

/**
 * 月结二维码使用记录Service业务层处理
 * 
 * @author RuiJing
 * @date 2026-02-12
 */
@Service
public class BizMonthQrcodeRecordServiceImpl implements IBizMonthQrcodeRecordService 
{
    @Autowired
    private BizMonthQrcodeRecordMapper bizMonthQrcodeRecordMapper;

    /**
     * 查询月结二维码使用记录
     * 
     * @param qrcodeId 月结二维码使用记录主键
     * @return 月结二维码使用记录
     */
    @Override
    public BizMonthQrcodeRecord selectBizMonthQrcodeRecordByQrcodeId(Long qrcodeId)
    {
        return bizMonthQrcodeRecordMapper.selectBizMonthQrcodeRecordByQrcodeId(qrcodeId);
    }

    /**
     * 查询月结二维码使用记录列表
     * 
     * @param bizMonthQrcodeRecord 月结二维码使用记录
     * @return 月结二维码使用记录
     */
    @Override
    public List<BizMonthQrcodeRecord> selectBizMonthQrcodeRecordList(BizMonthQrcodeRecord bizMonthQrcodeRecord)
    {
        return bizMonthQrcodeRecordMapper.selectBizMonthQrcodeRecordList(bizMonthQrcodeRecord);
    }

    /**
     * 新增月结二维码使用记录
     * 
     * @param bizMonthQrcodeRecord 月结二维码使用记录
     * @return 结果
     */
    @Override
    public int insertBizMonthQrcodeRecord(BizMonthQrcodeRecord bizMonthQrcodeRecord)
    {
        bizMonthQrcodeRecord.setCreateTime(DateUtils.getNowDate());
        return bizMonthQrcodeRecordMapper.insertBizMonthQrcodeRecord(bizMonthQrcodeRecord);
    }

    /**
     * 修改月结二维码使用记录
     * 
     * @param bizMonthQrcodeRecord 月结二维码使用记录
     * @return 结果
     */
    @Override
    public int updateBizMonthQrcodeRecord(BizMonthQrcodeRecord bizMonthQrcodeRecord)
    {
        bizMonthQrcodeRecord.setUpdateTime(DateUtils.getNowDate());
        return bizMonthQrcodeRecordMapper.updateBizMonthQrcodeRecord(bizMonthQrcodeRecord);
    }

    /**
     * 批量删除月结二维码使用记录
     * 
     * @param qrcodeIds 需要删除的月结二维码使用记录主键
     * @return 结果
     */
    @Override
    public int deleteBizMonthQrcodeRecordByQrcodeIds(Long[] qrcodeIds)
    {
        return bizMonthQrcodeRecordMapper.deleteBizMonthQrcodeRecordByQrcodeIds(qrcodeIds);
    }

    /**
     * 删除月结二维码使用记录信息
     * 
     * @param qrcodeId 月结二维码使用记录主键
     * @return 结果
     */
    @Override
    public int deleteBizMonthQrcodeRecordByQrcodeId(Long qrcodeId)
    {
        return bizMonthQrcodeRecordMapper.deleteBizMonthQrcodeRecordByQrcodeId(qrcodeId);
    }
}
